#include <StructureConstants.au3>
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <ButtonConstants.au3>
#include <TabConstants.au3>
#include <SliderConstants.au3>
#include <GuiSlider.au3>
#include <StaticConstants.au3>
#include <GDIPlus.au3>
#include <WinAPI.au3>
#include <GUIConstants.au3>
#include <Constants.au3>
#include <WinAPI.au3>
#include <Memory.au3>

Global Const $AC_SRC_ALPHA      = 1

$Title = "S4 League CG3 Patcher"
$version = "V0.0.1"
$width = 800
$height = 400


_GDIPlus_Startup()
$hImage = _GDIPlus_ImageLoadFromFile(@ScriptDir & "\Image\Skin_1\Fond.png")
$hImage2 = _GDIPlus_ImageLoadFromFile(@ScriptDir & "\Image\Skin_1\Msg.png")
$hGUI1 = GUICreate($Title&" "& $version, $width, $height, -1, -1, -1, $WS_EX_LAYERED)
$test = GUICtrlCreateLabel("Test",10,10,150,20)

$close = GUICtrlCreateLabel("", 707, 5, 25, 25,-1)
GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
GUICtrlSetCursor(-1, 0)

$min = GUICtrlCreateLabel("", 679, 5, 25, 25,-1)
GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
GUICtrlSetCursor(-1, 0)

GUISetState()

$Msg = GUICreate("Error",200,200, 343, 50, -1, $WS_EX_LAYERED + $WS_EX_MDICHILD, $hGUI1)
SetBitMap($hGUI1, $hImage, 255)
SetBitMap($Msg, $hImage2, 255)


GUISetState()

While 1
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case $GUI_EVENT_CLOSE
			Exit
		case $close
			_Quit()
		case $min
			WinSetState($Title&" "&$version,"",2)
	EndSwitch
WEnd

; ===============================================================================================================================
; SetBitMap
; ===============================================================================================================================
Func SetBitmap($hGUI, $hImage, $iOpacity)
  Local $hScrDC, $hMemDC, $hBitmap, $hOld, $pSize, $tSize, $pSource, $tSource, $pBlend, $tBlend

  $hScrDC  = _WinAPI_GetDC(0)
  $hMemDC  = _WinAPI_CreateCompatibleDC($hScrDC)
  $hBitmap = _GDIPlus_BitmapCreateHBITMAPFromBitmap($hImage)
  $hOld    = _WinAPI_SelectObject($hMemDC, $hBitmap)
  $tSize   = DllStructCreate($tagSIZE)
  $pSize   = DllStructGetPtr($tSize  )
  DllStructSetData($tSize, "X", _GDIPlus_ImageGetWidth ($hImage))
  DllStructSetData($tSize, "Y", _GDIPlus_ImageGetHeight($hImage))
  $tSource = DllStructCreate($tagPOINT)
  $pSource = DllStructGetPtr($tSource)
  $tBlend  = DllStructCreate($tagBLENDFUNCTION)
  $pBlend  = DllStructGetPtr($tBlend)
  DllStructSetData($tBlend, "Alpha" , $iOpacity    )
  DllStructSetData($tBlend, "Format", $AC_SRC_ALPHA)
  _WinAPI_UpdateLayeredWindow($hGUI, $hScrDC, 0, $pSize, $hMemDC, $pSource, 0, $pBlend, $ULW_ALPHA)
  _WinAPI_ReleaseDC   (0, $hScrDC)
  _WinAPI_SelectObject($hMemDC, $hOld)
  _WinAPI_DeleteObject($hBitmap)
  _WinAPI_DeleteDC    ($hMemDC)
EndFunc

Func _Quit()
	GUIDelete($hGUI1)
	_WinAPI_DeleteObject($hImage)
	_GDIPlus_Shutdown()
	Exit
EndFunc   ;==>_Quit